## gavodachs 2.2.1+dfsg

=== debian/changelog ===
gavodachs (2.2.1+dfsg-2) unstable; urgency=medium

  * New Debian package (Closes: #870457)

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Mon, 09 Nov 2020 17:42:08 +0100

## gavodachs 2.3+dfsg

=== gavo/resources/schemata/Makefile ===
install:
	rsync --exclude Makefile  --exclude README \
		--delete -av ./ alnilam:/var/www/docs/schemata/

=== debian/changelog ===
gavodachs (2.3+dfsg-3) unstable; urgency=medium

  * Now hard-depending on bullseye versions of pgsphere and q3c. Downgrades #984555

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Tue, 04 May 2021 11:13:49 +0200

gavodachs (2.3+dfsg-2) unstable; urgency=medium

  * Backporting pyparsing/python 3.8 patches
  * Closes: #985395
  * Closes: #985396

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Wed, 17 Mar 2021 10:32:35 +0100

gavodachs (2.3+dfsg-1) unstable; urgency=medium

  * New upstream version 2.3+dfsg

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Mon, 11 Jan 2021 14:12:43 +0100

=== debian/control ===
Source: gavodachs
Section: python
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>,
           Markus Demleitner <gavo@ari.uni-heidelberg.de>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-python,
               python3-all (>= 3.7),
               python3-setuptools (>= 0.6b3)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-astro-team/gavodachs
Vcs-Git: https://salsa.debian.org/debian-astro-team/gavodachs.git
Homepage: http://vo.ari.uni-heidelberg.de/docs/DaCHS
Rules-Requires-Root: no

Package: python3-gavo
Architecture: all
Depends: libjs-jquery,
         libjs-jquery-flot,
         python3-cryptography,
         python3-docutils,
         python3-gavo-stc (= ${binary:Version}),
         python3-gavo-utils (= ${binary:Version}),
         python3-gavo-votable (= ${binary:Version}),
         python3-lxml,
         python3-matplotlib,
         python3-pkg-resources,
         python3-psycopg2,
         python3-pymoc,
         python3-rjsmin,
         python3-testresources,
         python3-twisted,
         ${misc:Depends},
         ${python3:Depends}
Recommends: libcfitsio-dev,
            libpq-dev,
            postgresql-client,
            python3-healpy,
            python3-requests
Provides: ${python:Provides}
Conflicts: python-gavodachs
Description: Virtual Observatory data center publishing suite
 The Data Center Helper Suite (DaCHS) is a collection of Python modules
 (with some exceptions) to help you in setting up and running a VO-compliant
 data center. Moreover, some parts of this code are useful for client-side
 applications.
 .
 Currently, DaCHS supports most DAL protocols (SIAP, SCS, TAP), form-based
 interfaces, a publishing registry, ADQL and some other (less prominent)
 VO standards, and data management for various kinds of input.

Package: python3-gavo-stc
Architecture: all
Depends: python3-gavo-utils(= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Provides: ${python3:Provides}
Description: IVOA Space-Time-Coordinate (STC) library
 This library handles space-time information within the Virtual
 Observatory (VO) according to the IVOA (International Virtual
 Observatory Alliance) STC recommendation.
 .
 The VO knows two implementations for STC metadata, one in XML
 called STC-X and a linear string implementation called STC-S.
 This library provides support for the generating and parsing of
 STC-S expressions and STC-X documents. Moreover, it contains various
 helper functions for the transformation between Earth coordinate
 systems, for dealing with sky coordinates, for time parsing and time
 conversions, and for the definition and conversion of units in STC.

Package: python3-gavo-utils
Architecture: all
Depends: python3-astropy,
         python3-docutils,
         python3-numpy,
         python3-pil,
         python3-pkg-resources,
         python3-psycopg2,
         python3-pyparsing,
         ${misc:Depends},
         ${python3:Depends}
Breaks: python3-gavodachs(<< ${binary:Version})
Provides: ${python3:Provides}
Description: support library for the Virtual Observatory
 The "python3-gavoutils" library is a collection of helper functions and
 classes used by various VO libraries and applications.
 .
 Among other things, this collection provides support for memoisation,
 for formatting and text manipulation. It contains bindings for the
 pgsphere postgres extension, utility functions to deal with
 FITS files and math-related helper functions.

Package: python3-gavo-votable
Architecture: all
Depends: python3-gavo-stc(= ${binary:Version}),
         python3-gavo-utils(= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Provides: ${python:Provides}
Description: library for the reading and writing of VOTables
 The VOTable format is defined by the International Virtual Observatory
 Alliance (IVOA) to facilitate data exchange in astronomy. This library
 implements most of the specification and offers simple and advanced,
 streaming interfaces.  Also included is a simple client to query TAP
 servers.

Package: gavodachs2-server
Conflicts: gavodachs-server
Architecture: all
Depends: adduser,
         members,
         postgresql-13-pgsphere,
         postgresql-13-q3c,
         python3-gavo (= ${binary:Version}),
         ${misc:Depends}
Provides: ${python:Provides}
Description: server package of the Virtual Observatory data center suite
 This package sets up a ready-to use VO data center using GAVO's Data
 Center Helper Suite (DaCHS), in particular by configuring a postgres
 database backend.  The DaCHS server lets data center operators ingest
 their astronomical data into structured repositories and publish
 those to the Virtual Observatory.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
	https://vo.ari.uni-heidelberg.de/soft/dist/gavodachs-(\d+\.\d(?:\.\d)?)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## gavodachs 2.5+dfsg

=== debian/changelog ===
gavodachs (2.5+dfsg-1) unstable; urgency=medium

  [ Markus Demleitner ]
  * New upstream version 2.5+dfsg

  [ Christoph Berg ]
  * Depend on postgresql-pgsphere, postgresql-q3c without a specific 
    PostgreSQL version (Closes: #998317)

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Wed, 17 Nov 2021 13:55:14 +0100

## gavodachs 2.5.3+dfsg

=== debian/changelog ===
gavodachs (2.5.3+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.3, containing fixes for twisted 21+, as
    in current unstable (Closes: #1005725)
  * Updated watchfile

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Tue, 22 Feb 2022 11:53:28 +0100

=== debian/control ===
--- 
+++ 
@@ -111,8 +111,8 @@
 Architecture: all
 Depends: adduser,
          members,
-         postgresql-13-pgsphere,
-         postgresql-13-q3c,
+         postgresql-pgsphere,
+         postgresql-q3c,
          python3-gavo (= ${binary:Version}),
          ${misc:Depends}
 Provides: ${python:Provides}

## gavodachs 2.6+dfsg

=== debian/changelog ===
gavodachs (2.6+dfsg-2) unstable; urgency=medium

  * dachs init now grants gavoadmin create privileges on the public schema.
    (Closes: #1023026)

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Mon, 31 Oct 2022 10:47:19 +0100

gavodachs (2.6+dfsg-1) unstable; urgency=medium

  * New upstream version 2.6+dfsg

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Tue, 31 May 2022 14:08:18 +0200

## gavodachs 2.7+dfsg

=== gavo/resources/schemata/Makefile ===
install:
	rsync --exclude "*.swp" --exclude Makefile  --exclude README \
		-av ./ alnilam:/var/www/docs/schemata/

=== debian/changelog ===
gavodachs (2.7+dfsg-2) unstable; urgency=medium

  * Make tapstc REs work with python >= 3.11 (Closes: #1027398)
  * Fixing numpy to SQL and VOTable type mappings for str and bool 
    (Closes: #1027213)

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Mon, 09 Jan 2023 15:32:10 +0100

gavodachs (2.7+dfsg-1) unstable; urgency=medium

  * New upstream version 2.7+dfsg

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Mon, 28 Nov 2022 10:56:12 +0100

## gavodachs 2.8+dfsg

=== debian/changelog ===
gavodachs (2.8+dfsg-1ubuntu1) mantic; urgency=medium

  * Fix build with Pillow 10.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2023 05:10:44 +0200

gavodachs (2.8+dfsg-1) unstable; urgency=medium

  * Adding python3-multipart as a dependency
  * New upstream version 2.8+dfsg

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Thu, 22 Jun 2023 14:44:35 +0200

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
          python3-gavo-votable (= ${binary:Version}),
          python3-lxml,
          python3-matplotlib,
+         python3-multipart,
          python3-pkg-resources,
          python3-psycopg2,
          python3-pymoc,

## gavodachs 2.9.1+dfsg

=== debian/changelog ===
gavodachs (2.9.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.9.1+dfsg (we are uploading 2.9.1 rather than 2.9
    because 2.9 breaks with unstable's astropy)

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Mon, 15 Jan 2024 11:45:48 +0100

gavodachs (2.8+dfsg-4) unstable; urgency=medium

  * Dropping extra_float_digit setup in dachs init (Closes: #1053552)

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Mon, 09 Oct 2023 11:35:10 +0200

gavodachs (2.8+dfsg-3) unstable; urgency=medium

  * Now removing the egg-info (Closes: #1044711)

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Wed, 30 Aug 2023 14:45:12 +0200

gavodachs (2.8+dfsg-2) unstable; urgency=medium

  * Update for pillow API change (fixes: #1040630)
  * Making dachs limits work.

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Wed, 26 Jul 2023 16:45:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: gavodachs
-Section: python
-Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>,
            Markus Demleitner <gavo@ari.uni-heidelberg.de>
+Section: python
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-python,
-               python3-all (>= 3.7),
-               python3-setuptools (>= 0.6b3)
-Standards-Version: 4.5.0
+               python3-all,
+               python3-setuptools
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/gavodachs
 Vcs-Git: https://salsa.debian.org/debian-astro-team/gavodachs.git
 Homepage: http://vo.ari.uni-heidelberg.de/docs/DaCHS
@@ -41,7 +41,6 @@
             python3-healpy,
             python3-requests
 Provides: ${python:Provides}
-Conflicts: python-gavodachs
 Description: Virtual Observatory data center publishing suite
  The Data Center Helper Suite (DaCHS) is a collection of Python modules
  (with some exceptions) to help you in setting up and running a VO-compliant
@@ -108,7 +107,6 @@
  servers.
 
 Package: gavodachs2-server
-Conflicts: gavodachs-server
 Architecture: all
 Depends: adduser,
          members,

=== debian/tests/control ===
Tests: integration-test
Depends: gavodachs2-server
Restrictions: allow-stderr, needs-root

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
	https://soft.g-vo.org/dist/gavodachs-(\d+\.\d(?:\.\d)?)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## gavodachs 2.11+dfsg

=== tests/Makefile ===
# Fix to match the location of the (uninstalled) C slalib/C sofa
SLADIR = ~/gavo/soft/SLALIB
SOFADIR = ~/gavo/soft/sofa


CFLAGS+=-I $(SLADIR) -I $(SOFADIR) -Wall
LDLIBS+=-L $(SLADIR) -lsla -L $(SOFADIR) -lsofa_c -lm


stcgroundtruth.py: makestctruth
	./makestctruth > stcgroundtruth.py

makestctruth: makestctruth.o


clean:
	rm -r *.o maketest

=== gavo/resources/web/img/Makefile ===
%.png: %.svgz
	inkscape --export-png=$@ --export-area-drawing --export-width=200 \
		--export-background=white $<

all: usesvcbutton.png

*.png: Makefile

=== debian/changelog ===
gavodachs (2.11+dfsg-2) unstable; urgency=medium

  * Making DaCHS not fail with PEP 667 (Closes: #1104031)
  * DaCHS won't crash with astropy any more on non-writable homes.
  * Fix for the removal of unicode_ from numpy2.

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Thu, 17 Apr 2025 11:39:53 +0200

gavodachs (2.11+dfsg-1) unstable; urgency=medium

  * New upstream version 2.11+dfsg
  * Upstream removed use of cgi; Closes: #1084707.

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Mon, 16 Dec 2024 15:10:18 +0100

gavodachs (2.10+dfsg-1) release; urgency=medium

  * Accept renamed python3-python-multipart (see #1085728).

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Dec 2024 12:28:47 +0000

gavodachs (2.10+dfsg-1) unstable; urgency=medium

  * Updating watchfile for two-digit minor versions
  * New upstream version 2.10+dfsg

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Wed, 24 Jul 2024 09:49:14 +0200

gavodachs (2.9+dfsg-1) unstable; urgency=medium

  * New upstream version 2.9+dfsg

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Mon, 27 Nov 2023 12:49:43 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
          python3-gavo-votable (= ${binary:Version}),
          python3-lxml,
          python3-matplotlib,
-         python3-multipart,
+         python3-multipart (<< 0.1) | python3-python-multipart,
          python3-pkg-resources,
          python3-psycopg2,
          python3-pymoc,

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME = gavo
export PYBUILD_INSTALL_ARGS = --root=debian/tmp/

EXCLUDE_FROM_PACKAGE=-Xrjsmin -Xtestresources

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install $(EXCLUDE_FROM_PACKAGE)

override_dh_installinit:
	dh_installinit --noscripts --name=dachs

override_dh_installsystemd:
	dh_installsystemd --restart-after-upgrade --name=dachs

# we're shutting up dh_missing until someone bothers to work out how
# to get rid of the __pycache__ directories that pop up during package build.
override_dh_missing:
	dh_missing --list-missing

override_dh_auto_test:
	# DaCHS' tests want to be run from the tests directory; until
	# we find some way to teach pybuild to do that (or change the
	# test system), make pybuild skip the tests

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
	https://soft.g-vo.org/dist/gavodachs-(\d+\.\d+(?:\.\d)?)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
